[arch-commits] Commit in fluidsynth/trunk (PKGBUILD fluidsynth.conf fluidsynthd)

Andrea Scarpino andrea at archlinux.org
Sat Mar 6 21:33:09 UTC 2010


    Date: Saturday, March 6, 2010 @ 16:33:09
  Author: andrea
Revision: 71370

upgpkg: fluidsynth 1.1.1-2
added daemon script (FS#18572)

Added:
  fluidsynth/trunk/fluidsynth.conf
  fluidsynth/trunk/fluidsynthd
Modified:
  fluidsynth/trunk/PKGBUILD

-----------------+
 PKGBUILD        |   23 ++++++++++++++++++-----
 fluidsynth.conf |    2 ++
 fluidsynthd     |   40 ++++++++++++++++++++++++++++++++++++++++
 3 files changed, 60 insertions(+), 5 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-03-06 21:32:35 UTC (rev 71369)
+++ PKGBUILD	2010-03-06 21:33:09 UTC (rev 71370)
@@ -3,20 +3,33 @@
 
 pkgname=fluidsynth
 pkgver=1.1.1
-pkgrel=1
-pkgdesc="A real-time software synthesizer based on the SoundFont 2 specifications."
+pkgrel=2
+pkgdesc="A real-time software synthesizer based on the SoundFont 2 specifications"
 arch=("i686" "x86_64")
 url="http://www.fluidsynth.org/"
-depends=('glib2' 'jack-audio-connection-kit' 'ladspa')
+depends=('glib2' 'jack' 'ladspa')
 options=('!libtool')
 license=('LGPL')
-source=("http://savannah.nongnu.org/download/fluid/$pkgname-$pkgver.tar.gz")
-md5sums=('0db3da78028d255026230809c6e21b44')
+backup=('etc/conf.d/fluidsynth')
+source=("http://savannah.nongnu.org/download/fluid/$pkgname-$pkgver.tar.gz"
+	'fluidsynth.conf' 'fluidsynthd')
+md5sums=('0db3da78028d255026230809c6e21b44'
+         '16c5f4d4cbdddc6c5fcbd4fd4cc142f1'
+         'b296dbfb524c2164f552f68bd9abe2ec')
 
 build() {
   cd $srcdir/$pkgname-$pkgver
   ./configure --prefix=/usr \
     --enable-ladspa || return 1
   make || return 1
+}
+
+package() {
+  cd $srcdir/$pkgname-$pkgver
+
   make prefix=$pkgdir/usr install
+  install -Dm644 ${srcdir}/fluidsynth.conf \
+    ${pkgdir}/etc/conf.d/fluidsynth
+  install -Dm755 ${srcdir}/fluidsynthd \
+    ${pkgdir}/etc/rc.d/fluidsynth
 }

Added: fluidsynth.conf
===================================================================
--- fluidsynth.conf	                        (rev 0)
+++ fluidsynth.conf	2010-03-06 21:33:09 UTC (rev 71370)
@@ -0,0 +1,2 @@
+FSYNTH_OPTS="-a alsa -m alsa_seq -r 48000"
+FSYNTH_SOUNDFONT=""
\ No newline at end of file

Added: fluidsynthd
===================================================================
--- fluidsynthd	                        (rev 0)
+++ fluidsynthd	2010-03-06 21:33:09 UTC (rev 71370)
@@ -0,0 +1,40 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+[ -f /etc/conf.d/fluidsynth ] && . /etc/conf.d/fluidsynth
+
+PID=`pidof -o %PPID /usr/bin/fluidsynth`
+case "$1" in
+   start)
+     stat_busy "Starting Fluidsynth soundfont synthesizer"
+     [ -z "$PID" ] && /usr/bin/fluidsynth -is $FSYNTH_OPTS $FSYNTH_SOUNDFONT > /dev/null 2>&1 &
+     if [ $? -gt 0 ]; then
+       stat_fail
+     else
+       echo $PID > /var/run/fluidsynth.pid
+       add_daemon fluidsynth
+       stat_done
+     fi
+     ;;
+   stop)
+     stat_busy "Stopping Fluidsynth soundfont synthesizer"
+     [ ! -z "$PID" ]  && kill $PID &> /dev/null 2>&1
+     if [ $? -gt 0 ]; then
+       stat_fail
+     else
+       rm /var/run/fluidsynth.pid
+       rm_daemon fluidsynth
+       stat_done
+     fi
+     ;;
+   restart)
+     $0 stop
+     sleep 1
+     $0 start
+     ;;
+   *)
+     echo "usage: $0 {start|stop|restart}"
+esac
+exit 0




More information about the arch-commits mailing list